<div data-ng-controller="controllerLayers" data-on-key-down="nevermind()" data-keys="[27,119]">
    <div style="margin: 1em 2em">
        <div style="margin-left: auto; margin-right:auto">
            <table style="margin-left: auto; margin-right: auto; ">
            <thead style="table-layout: fixed;display: table;width: 100%;">
                <tr>
                    <th style="width: 30px;"><a tabindex="-1" onclick="return false;" href="#" title="Layer is visible or invisible"><img src="img/eye.png"></a></th>
                    <th style="width: 30px;"><a tabindex="-1" onclick="return false;" href="#" title="Labels of Polygons are visible or invisible"><img src="img/label.png"></a></th>
                   <!-- <th style="width: 30px;"><a tabindex="-1" onclick="return false;" href="#" title="Nodes of Polygons are visible or invisible"><img src="img/vertex.png"></a></th> -->
                    <th style="width: 30px;"><a tabindex="-1" onclick="return false;" href="#" title="Layer is selectable or not (Select Mode)"><img src="img/select.png"></a></th>
                    <!-- <th style="width: 30px;"><a tabindex="-1" onclick="return false;" href="#" title="Use layer for snapping"><img src="img/snappable.png"></a></th> -->
                    <th style="width: 40px;"><a tabindex="-1" onclick="return false;" href="#" title="Layer's transparency"><img src="img/transparency.png"></a></th>
                    <th style="width: 30px;"><a tabindex="-1" onclick="return false;" href="#" title="Layers' Styling"><img src="img/style.png"></a></th>
                    <th style="width: auto;"><b>Description</b></th>
                </tr>
            </thead>
                <tbody style="display: block; height:300px; overflow-y: auto; overflow-x: hidden;" id="layersorter">
                <tr style="table-layout: fixed;width:100%;display:table;" id="{{layer.layerId}}" data-ng-repeat="layer in model.layers" >
                    <td style="text-align:center;width: 30px;">
                        <input type="checkbox" data-ng-change="change(layer)" data-ng-model="layer.enabled"></td>
                    <td style="text-align:center;width: 30px;">
                        <input type="checkbox" data-ng-change="change(layer)" data-ng-model="layer.labelEnabled"></td>
                    <td style="text-align:center;width: 30px;">
                       <!-- <input type="checkbox" data-ng-change="change(layer)" data-ng-model="layer.vertexEnabled"></td>
                    <td style="text-align:center;width: 30px;"> -->
                        <input type="checkbox" data-ng-change="change(layer)" data-ng-model="layer.selectable"></td>
                    <td style="text-align:center;width: 30px;">
                        <!--<input type="checkbox" data-ng-change="change(layer)" data-ng-model="layer.lSnapEnable"></td>
                    <td style="text-align:center;width: 40px;">    -->
                        <!--<input type="image"  data-ng-click="setLyrOpacity(layer)" data-ng-model="layer.opacity" src="img/set_trans.png" >   -->
                       <!--<div class="opacitySliderCls" style="position:absolute;cursor:pointer;" data-ng-model="layer.opacity" id="layerOpacity_{{layer.name}}"></div></td>  -->
                          <input name="value" size="2"  data-ng-model="layer.opacity" id="layerOpacity_{{layer.layerId}}"></td>
                    <td  style="text-align:center;width: 30px;">
                    <div id="layerstyletd_{{layer.layerId}}" style="padding:10px; "></div>
                    </td>
                    <td style="text-align:center;width: auto;" data-ng-bind="layer.name"></td>
                </tr>
                </tbody>
            </table>
        </div>
        <div style="margin-top: 1em; text-align: center">
            <button style="margin-bottom:1em; width:8em" type="button" 
                data-ng-click="nevermind()" class="btn btn-large btn-primary">OK</button>
        </div>
    </div>
</div>